#!/usr/bin/env ruby

def mime_type
  content = {
    'class'=>'application/java-vm',
    'cmdf'=>'chemical/x-cmdf',
    'cml'=>'chemical/x-cml',
    'cod'=>'application/vnd.rim.cod',
    'com'=>'application/x-msdos-program',
    'cpa'=>'chemical/x-compass',
    'cpio'=>'application/x-cpio',
    'cpt'=>'application/mac-compactpro',
    'cr'=>'image/x-canon-cr2',
    'crl'=>'application/x-pkcs7-crl',
    'crt'=>'application/x-x509-ca-cert',
    'crw'=>'image/x-canon-crw',
    'csf'=>'chemical/x-cache-csf',
    'csh'=>'application/x-csh',
    'csml'=>'chemical/x-csml',
    'css'=>'text/css',
    'csv'=>'text/csv',
    'ctx'=>'chemical/x-ctx',
    'cu'=>'application/cu-seeme',
    'cub'=>'chemical/x-gaussian-cube',
    'cxf'=>'chemical/x-cxf',
    'd'=>'text/x-dsrc',
    'davmount'=>'application/davmount+xml',
    'dcr'=>'application/x-director',
    'deb'=>'application/x-debian-package',
    'dif'=>'video/dv',
    'diff'=>'text/x-diff',
    'djvu'=>'image/vnd.djvu',
    'dl'=>'video/dl',
    'dmg'=>'application/x-apple-diskimage',
    'dms'=>'application/x-dms',
    'doc'=>'application/msword',
    'docx'=>'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
    'dotx'=>'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
    'dvi'=>'application/x-dvi',
    'emb'=>'chemical/x-embl-dl-nucleotide',
    'eml'=>'message/rfc822',
    'erf'=>'image/x-epson-erf',
    'es'=>'application/ecmascript',
    'etx'=>'text/x-setext',
    'ez'=>'application/andrew-inset',
    'fch'=>'chemical/x-gaussian-checkpoint',
    'fig'=>'application/x-xfig',
    'flac'=>'audio/flac',
    'fli'=>'video/fli',
    'flv'=>'video/x-flv',
    'frm'=>'application/x-maker',
    'gal'=>'chemical/x-gaussian-log',
    'gau'=>'chemical/x-gaussian-input',
    'gcd'=>'text/x-pcs-gcd',
    'gcf'=>'application/x-graphing-calculator',
    'gcg'=>'chemical/x-gcg8-sequence',
    'gen'=>'chemical/x-genbank',
    'gf'=>'application/x-tex-gf',
    'gif'=>'image/gif',
    'gl'=>'video/gl',
    'gnumeric'=>'application/x-gnumeric',
    'gpt'=>'chemical/x-mopac-graph',
    'gsm'=>'audio/x-gsm',
    'gtar'=>'application/x-gtar',
    'gz'=>'application/x-gzip',
    'h'=>'text/x-c++hdr',
    'hdf'=>'application/x-hdf',
    'hin'=>'chemical/x-hin',
    'hqx'=>'application/mac-binhex40',
    'hs'=>'text/x-haskell',
    'hta'=>'application/hta',
    'htc'=>'text/x-component',
    'html'=>'text/html',
    'ica'=>'application/x-ica',
    'ice'=>'x-conference/x-cooltalk',
    'ico'=>'image/x-icon',
    'ics'=>'text/calendar',
    'ief'=>'image/ief',
    'igs'=>'model/iges',
    'iii'=>'application/x-iphone',
    'info'=>'application/x-info',
    'inp'=>'chemical/x-gamess-input',
    'ins'=>'application/x-internet-signup',
    'iso'=>'application/x-iso9660-image',
    'istr'=>'chemical/x-isostar',
    'jad'=>'text/vnd.sun.j2me.app-descriptor',
    'jam'=>'application/x-jam',
    'jar'=>'application/java-archive',
    'java'=>'text/x-java',
    'jdx'=>'chemical/x-jcamp-dx',
    'jmz'=>'application/x-jmol',
    'jng'=>'image/x-jng',
    'jnlp'=>'application/x-java-jnlp-file',
    'jpeg'=>'image/jpeg',
    'js'=>'application/javascript',
    'key'=>'application/pgp-keys',
    'kil'=>'application/x-killustrator',
    'kin'=>'chemical/x-kinemage',
    'kml'=>'application/vnd.google-earth.kml+xml',
    'kmz'=>'application/vnd.google-earth.kmz',
    'kpr'=>'application/x-kpresenter',
    'ksp'=>'application/x-kspread',
    'kwd'=>'application/x-kword',
    'latex'=>'application/x-latex',
    'lha'=>'application/x-lha',
    'lhs'=>'text/x-literate-haskell',
    'lin'=>'application/bbolin',
    'lsf'=>'video/x-la-asf',
    'lyx'=>'application/x-lyx',
    'lzh'=>'application/x-lzh',
    'lzx'=>'application/x-lzx',
    'm'=>'application/m3g',
    'man'=>'application/x-troff-man',
    'mcif'=>'chemical/x-mmcif',
    'mcm'=>'chemical/x-macmolecule',
    'mdb'=>'application/msaccess',
    'me'=>'application/x-troff-me',
    'mid'=>'audio/midi',
    'mif'=>'application/x-mif',
    'mm'=>'application/x-freemind',
    'mmd'=>'chemical/x-macromodel-input',
    'mmf'=>'application/vnd.smaf',
    'mml'=>'text/mathml',
    'mng'=>'video/x-mng',
    'moc'=>'text/x-moc',
    'mol'=>'chemical/x-mdl-molfile',
    'moo'=>'chemical/x-mopac-out',
    'mop'=>'chemical/x-mopac-input',
    'movie'=>'video/x-sgi-movie',
    'mp'=>'video/mp4',
    'mpeg'=>'video/mpeg',
    'mpga'=>'audio/mpeg',
    'mpv'=>'video/x-matroska',
    'ms'=>'application/x-troff-ms',
    'zip'=>'application/zip'
  }

  "application/octet-stream"
end


def looper
  while (1)
    mime_type
  end
end


GC.stress = true
looper

